// Implementationsklasse fr die Flug Operations
// Implementiert die IDL Operations
//
public class FlugImpl implements Flug {

	private Database db = null;

	public FlugImpl (Database db) {
		this.db = db;
	}

	// Liste der Abflughafen
	//
    	public String[] liesAlleAbflugStaedte() throws sunw.corba.SystemException {
		String [] origins = null;

		try {
			origins = db.liesAbflughaefen();
		} catch (Exception e) {
			System.out.println ("[liesAlleAbflugStaedte] Exception: " + e);
		}
		return origins;
	}			


	// Liefere eine Liste der Destinationen
	//
	public String[] liesAlleDestinationen() throws sunw.corba.SystemException	{
		String [] dests = null;

		try {
			dests = db.liesDestinationen();
		} catch (Exception e) {
			System.out.println ("[liesAlleDestinationen] Exception: " + e);
		}
		return dests;
	}


	// Ausgabe einer Liste mit Start und Ziel und Datum
    	public FlugInfo[] liesVerfuegbareFluege(String abflugOrt, String destOrt, String datum) throws sunw.corba.SystemException {
		FlugInfo[] flugListe = null;

		try {
			flugListe = db.liesFlge (abflugOrt, destOrt, datum);
		} catch (Exception e) {
			System.out.println ("[liesVerfuegbareFluege] Exception: " + e);
		}
		return flugListe;
	}


	// Kreieren einer Zeichenkette fr den Flug
    	public String produziereFlugString(FlugInfo flug) throws sunw.corba.SystemException {
		String FlugString = flug.flugID+"-	"+flug.abflugOrt+"-"+flug.destOrt+"-"+flug.abflugDatum+"-"+flug.abflugZeit+"-xxx-xxx-xxx-"+flug.flugzeugID;
        		return FlugString;
	}
}
