package DemoAppl;
import DemoAppl.HelloApp.*;    // Stubs / Ausgabe aus dem IDL Compiler
import org.omg.CosNaming.*;   // Naming Service
import org.omg.CORBA.*;       // CORBA Basisklassen


public class HelloClient
{
  public static void main(String args[])
  {
    try{

      // ORB kreieren und initialisieren
      ORB orb = ORB.init(args, null);

      // Root des Namenskontextes
      org.omg.CORBA.Object objRef = orb.resolve_initial_references("NameService");
      NamingContext ncRef = NamingContextHelper.narrow(objRef);

      // Objektreferenz auflsen
      NameComponent nc = new NameComponent("Hello", " ");
      NameComponent path[] = {nc};
      Hello helloRef = HelloHelper.narrow(ncRef.resolve(path));

      // Server aufrufen und ausgeben
      String Hello = helloRef.sayHello();
      System.out.println(Hello);

    } catch(Exception e) {
        System.out.println("ERROR : " + e);
        e.printStackTrace(System.out);
    }
  }
}


